var WYSIWYG = {
  Version: '1.1'
}

WYSIWYG.Editor = Class.create();

WYSIWYG.Editor.prototype = {

  initialize : function(editor){
    var elem = $(editor);
    var ua = navigator.userAgent.toLowerCase();
    this.isGecko = (ua.indexOf('gecko') != -1 && ua.indexOf('safari') == -1);

    if (this.isGecko) {
      this.document = elem.contentDocument;
      this.window = elem.contentWindow;
    }else{
      this.document = frames[0].document;
      this.window = elem.contentWindow;
    }
        
    this.document.open();
    this.document.write("<body id='body'>");
    this.document.write("</body>");
    this.document.close();

    try {
	 this.document.designMode = "on";
    }catch (e) {
      alert(e);
    }
  },

  insert : function(command, option){
    this.window.focus();
    if (this.isGecko) {
	this.document.execCommand('useCSS',false, true);
    }
    this.document.execCommand(command, false, option);
  },
  
  content : function(){
	 return this.document.getElementById('body');
  },

  getSource : function(){
    return this.document.getElementById('body').innerHTML;
  },

  drawToolbar : function(){
    //document.write("<input type='button' value='open dialog' id='sDialog'/>");
    //var callback = this.createMsg.bind(this);
    //var callback = dialogMgr.baseWindowUpdate.bind(dialogMgr);
    //dialogMgr.registerDialogWithId('sDialog', new Dialog("test.html", "Hoge Test", callback));
  },
  
  createMsg : function(msg, msg2){
    alert(msg + "," + msg2);
  },
  
  
  insertContent : function(content) {

  	this.window.focus();

    if (this.isGecko) {
        selection = this.window.getSelection();
       	this.window.focus();

        if (selection) {
            range = selection.getRangeAt(0);
        } else {
            range = this.document.createRange();
        }

        var fragment = this.document.createDocumentFragment();
        var div = this.document.createElement("div");
        div.innerHTML = content;

        while (div.firstChild) {
            fragment.appendChild(div.firstChild);
        }

        selection.removeAllRanges();
        range.deleteContents();

        var node = range.startContainer;
        var pos = range.startOffset;

        switch (node.nodeType) {
            case 3:
                if (fragment.nodeType == 3) {
                    node.insertData(pos, fragment.data);
                    range.setEnd(node, pos + fragment.length);
                    range.setStart(node, pos + fragment.length);
                } else {
                    node = node.splitText(pos);
                    node.parentNode.insertBefore(fragment, node);
                    range.setEnd(node, pos + fragment.length);
                    range.setStart(node, pos + fragment.length);
                }
                break;

            case 1:
                node = node.childNodes[pos];
                node.parentNode.insertBefore(fragment, node);
                range.setEnd(node, pos + fragment.length);
                range.setStart(node, pos + fragment.length);
                break;
        }
        selection.addRange(range);
    
    } else {
        selection = this.document.selection;
        range = selection.createRange();
        try {
            range.pasteHTML(content);
        } catch (e) {
            // catch error when range is evil for IE
        }
   }
  }
}




