<!DOCTYPE html 
     PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
     "DTD/xhtml1-transitional.dtd">

<c:set var="style">
	<tiles:getAsString name="style" />
</c:set>
<c:set var="existLeft">
	<tiles:getAsString name="existLeft" />
</c:set>
<c:set var="existRight">
	<tiles:getAsString name="existRight" />
</c:set>
<c:set var="isAjax">
	<tiles:getAsString name="isAjax" />
</c:set>
<c:set var="ajaxFormName">
	<tiles:getAsString name="ajaxFormName" />
</c:set>

<html:html>

<head>
<title><tiles:getAsString name="_manageTitle_" /></title>
<link rel="stylesheet" type="text/css"
	href="${contextPath_}/TGW-RES/stylesheet/base.css" media="screen" />
<c:choose>
	<c:when test="${site_.stylesheet != null}">
		<link rel="stylesheet" type="text/css"
			href="${contextPath_}${site_.stylesheet}" media="screen" />
	</c:when>
	<c:otherwise>
		<link rel="stylesheet" type="text/css"
			href="${contextPath_}/TGW-RES/stylesheet/color_default.css"
			media="screen" />
	</c:otherwise>
</c:choose>

<link rel="stylesheet" type="text/css"
	href="${contextPath_}/TGW-RES/stylesheet/print.css" media="print" />
<link rel="shortcut icon" href="${contextPath_}/TGW-RES/img/favicon.ico" />
<script type="text/javascript"
	src="${contextPath_}/TGW-RES/javascript/common.js"></script>
<script type="text/javascript"
	src="${contextPath_}/FCKeditor/fckeditor.js"></script>

<link rel="stylesheet" type="text/css"
	href="${contextPath_}/TGW-RES/javascript/yui/tabview/assets/tabview.css" />
<link rel="stylesheet" type="text/css"
	href="${contextPath_}/TGW-RES/javascript/yui/tabview/assets/border_tabs.css" />
<link rel="stylesheet" type="text/css"
	href="${contextPath_}/TGW-RES/javascript/yui/menu/assets/menu.css" />
<link rel="stylesheet" type="text/css"
	href="${contextPath_}/TGW-RES/javascript/yui/container/assets/container.css" />
<script type="text/javascript"
	src="${contextPath_}/TGW-RES/javascript/yui/yahoo/yahoo.js"></script>
<script type="text/javascript"
	src="${contextPath_}/TGW-RES/javascript/yui/dom/dom.js"></script>
<script type="text/javascript"
	src="${contextPath_}/TGW-RES/javascript/yui/event/event.js"></script>
<script type="text/javascript"
	src="${contextPath_}/TGW-RES/javascript/yui/element/element-beta.js"></script>
<script type="text/javascript"
	src="${contextPath_}/TGW-RES/javascript/yui/connection/connection.js"></script>
<script type="text/javascript"
	src="${contextPath_}/TGW-RES/javascript/yui/tabview/tabview.js"></script>
<script type="text/javascript"
	src="${contextPath_}/TGW-RES/javascript/yui/animation/animation.js"></script>
<script type="text/javascript"
	src="${contextPath_}/TGW-RES/javascript/yui/container/container.js"></script>
<script type="text/javascript"
	src="${contextPath_}/TGW-RES/javascript/yui/menu/menu.js"></script>
<script type="text/javascript"
	src="${contextPath_}/TGW-RES/javascript/yui/dragdrop/dragdrop.js"></script>

<c:if test="${isAjax}">
	<script type="text/javascript"
		src="${contextPath_}/TGW-RES/javascript/prototype.js"></script>
	<script type="text/javascript"
		src="${contextPath_}/TGW-RES/javascript/dialog_mother.js"></script>
	<script type="text/javascript"
		src="${contextPath_}/TGW-RES/javascript/rico.js"></script>
	<script type="text/javascript"
		src="${contextPath_}/TGW-RES/javascript/jsonrpc.js"></script>
	<script type="text/javascript"
		src="${contextPath_}/TGW-RES/javascript/ajaxRowSet.js"></script>
</c:if>

<script type="text/javascript">
	YAHOO.util.Event.onContentReady("y-menu",  function(p_oEvent) {
    	var oMenuBar = new YAHOO.widget.MenuBar("y-menu", { autosubmenudisplay:true, hidedelay:1250});
        oMenuBar.render();
    });
							
		var initFunctions = new Array();
		function init(){
	
			while(initFunctions.length>0){
				var func = initFunctions.pop();
				func();
			}
 		}
 		
 		function addInitFunction(func){
 			initFunctions.push(func);
 		}
</script>

</head>

<body onLoad="init();">



<c:if test="${ajaxFormName!=null&&ajaxFormName!=''}">
	<script type="text/javascript">
		var ajaxRowSet = new AjaxRowSet();
		ajaxRowSet.basePath = '${contextPath_}/JSON-RPC';
		ajaxRowSet.name = '${ajaxFormName}';
	</script>
</c:if>

<tiles:insert attribute="header" />

<div style="clear:both;"></div>

<table cellspacing="0" width="100%">
	<tr valign="top">

		<c:if test="${existLeft}">
			<td class="side" height="350"><tiles:insert attribute="side" /></td>
		</c:if>

		<td class="main"><tiles:insert attribute="body" /></td>

		<c:if test="${existRight}">
			<td id="pageassist"><tiles:insert attribute="right" /></td>
		</c:if>
	</tr>
</table>

<div class="footer"><tiles:insert attribute="footer" /></div>

<c:if test="${ajaxFormName!=null&&ajaxFormName!=''}">
	<script type="text/javascript"> 
		ajaxRowSet.load();
	</script>
</c:if>

</body>
</html:html>
