

<tag:onScript fname="changeFilter" parents="${pageForm.entityInfoList}" nullOption="true"
	parentV="entity.displayName" childList="dataFilterList" childL="name" childV="name"/>

<script type="text/javascript">
	function insertDataListPlugin(entityName, filterName, pageName, maxResult){
		var args = new Array();
		args.push(entityName);
		
		if(filterName == null || filterName == ''){
			args.push(' ');
		}else{
			args.push(filterName);		
		}
		args.push(pageName);
		if(maxResult != null && maxResult != ''){
			args.push(maxResult);
		}
		editor.insertBlockPlugin('datalist', args);		
	}
</script>

<script type="text/javascript">
	function insertDeliveryPlugin(type, entityName, filterName, pageName, afterPageName){
		var args = new Array();
		
		if(type == 'email'){
			args.push(afterPageName);
		}		
		
		args.push(pageName);
		args.push(entityName);
		
		if(filterName != null && filterName != ''){
			args.push(filterName);		
		}

		if(type == 'email'){
			insertBlockPlugin('email', args);		
		}else{
			insertInlinePlugin('tablefeed', args);		
		}
	}
</script>


<h2><bean:message key="title.plugin.insertDataList" bundle="site"/></h2>
		
<form name="datalistForm">

	<bean:message key="label.plugin.insertDataList.tablename" bundle="site"/><br/>
	<select name="tablename" onChange="changeFilter(this, this.form.filterName);">
		<c:forEach var="info" items="${pageForm.entityInfoList}">
			<c:if test="${!info.entity.hidden}">
				<option value="${info.entity.displayName}">${info.entity.displayName}</option>
			</c:if>
		</c:forEach>
	</select><br/>
	
	<bean:message key="label.plugin.insertDataList.filterName" bundle="site"/><br/>
	<select name="filterName">
		<option value="">-</option>
	</select><br/>

	<bean:message key="label.plugin.insertDataList.pageName" bundle="site"/><br/>
	<input type="text" name="pageName"/>
	<input 
		onclick="TgwWiki.popupPageListPanel(this.form.pageName, false);" 
		name="pageButton" type="button" value="<bean:message key="button.existingPage" bundle="site"/>"/><br/>

	<bean:message key="label.plugin.insertDataList.max" bundle="site"/>:<input type="text" size="3" name="max"/><br/>
		
	<input type="button" onclick="javascript:insertDataListPlugin(this.form.tablename.value,this.form.filterName.value,this.form.pageName.value, this.form.max.value);" value="<bean:message key="button.insert" />"/>
</form>

<h2><bean:message key="title.plugin.insertDelivery" bundle="site"/></h2>
		
<form name="delivertyForm">
	<bean:message key="label.plugin.insertDelivery.type" bundle="site"/><br/>
	<select name="type" >
		<option value="email"><bean:message key="label.plugin.insertDelivery.type.email" bundle="site"/></option>
		<option value="rss"><bean:message key="label.plugin.insertDelivery.type.rss" bundle="site"/></option>
	</select><br/>

	<bean:message key="label.plugin.insertDelivery.tablename" bundle="site"/><br/>
	<select name="tablename"  onChange="changeFilter(this, this.form.filterName);">
		<c:forEach var="info" items="${pageForm.entityInfoList}">
			<c:if test="${!info.entity.hidden}">
				<option value="${info.entity.displayName}">${info.entity.displayName}</option>
			</c:if>
		</c:forEach>
	</select><br/>
	
	<bean:message key="label.plugin.insertDelivery.filterName" bundle="site"/><br/>
	<select name="filterName">
		<option value="">-</option>
	</select><br/>

	<bean:message key="label.plugin.insertDelivery.pageName" bundle="site"/><br/>
	<input type="text" name="pageName"/>
	<input 
		onclick="TgwWiki.popupPageListPanel(this.form.pageName, false);" 
		name="pageButton" type="button" value="<bean:message key="button.existingPage" bundle="site"/>"/><br/>

	<bean:message key="label.plugin.insertDelivery.afterPageName" bundle="site"/><br/>
	<input type="text" name="afterPageName"/>
	<input 
		onclick="TgwWiki.popupPageListPanel(this.form.afterPageName, false);" 
		name="afterPageButton" type="button" value="<bean:message key="button.existingPage" bundle="site"/>"/><br/>
		
	<input type="button" onclick="insertDeliveryPlugin(this.form.type.value, this.form.tablename.value,this.form.filterName.value,this.form.pageName.value, this.form.afterPageName.value);" value="<bean:message key="button.insert" />"/>

</form>

<script type="text/javascript">
	changeFilter(document.datalistForm.tablename, document.datalistForm.filterName);
	changeFilter(document.delivertyForm.tablename, document.delivertyForm.filterName);
</script>
