<div id="trail">
	<html:link page="/listLogic.do"><bean:message key="title.label.listLogic" /></html:link>
</div>

<tag:validator form="logicForm"/>

<html:form action="saveLogic" onsubmit="return validator.execute('validateLogicForm',this);">

<br/>
<bean:message key="form.logicForm.name" /> : 
<c:choose>
	<c:when test="${logicForm.name != null}">
		${logicForm.name}
	</c:when>
	<c:otherwise>
		<html:text property="name"/>	
	</c:otherwise>
</c:choose>
<br/>
<br/>
<fieldset>
<legend><bean:message key="label.logic.event.type" bundle="site"/></legend>
<ul>
<li><label><html:radio property="event.type" value="pageView"/><bean:message key="label.logic.event.type.pageView" bundle="site"/></label>
	<html:select property="event.pageName">
		<c:forEach var="itm" items="${logicForm.pageList}">
			<html:option value="${itm.path}">${itm.path}</html:option>
		</c:forEach>
	</html:select>
</li>
<li><label><html:radio property="event.type" value="beforeDataSave"/><bean:message key="label.logic.event.type.beforeDataSave" bundle="site"/></label> 
	<html:select property="event.beforeEntityName">
		<c:forEach var="itm" items="${logicForm.entityList}">
			<html:option value="${itm.name}">${itm.displayName}</html:option>
		</c:forEach>
	</html:select>
</li>
<li><label><html:radio property="event.type" value="afterDataSave"/><bean:message key="label.logic.event.type.afterDataSave" bundle="site"/></label> 
	<html:select property="event.afterEntityName">
		<c:forEach var="itm" items="${logicForm.entityList}">
			<html:option value="${itm.name}">${itm.displayName}</html:option>
		</c:forEach>
	</html:select>
</li>

<li><label><html:radio property="event.type" value="beforeCustomFormSave"/><bean:message key="label.logic.event.type.beforeCustomFormSave" bundle="site"/></label>
	<html:select  property="event.beforeCustomFormName">
		<c:forEach var="itmEntry" items="${logicForm.customFormMap}">
			<c:forEach var="valueFunc" items="${itmEntry.value}">
				<html:option value="${itmEntry.key.name}.${valueFunc.name}">
					u${itmEntry.key.displayName}v${valueFunc.name}
				</html:option>
			</c:forEach>
		</c:forEach>
	</html:select>
</li>

<li><label><html:radio property="event.type" value="afterCustomFormSave"/><bean:message key="label.logic.event.type.afterCustomFormSave" bundle="site"/></label>
	<html:select  property="event.afterCustomFormName">
		<c:forEach var="itmEntry" items="${logicForm.customFormMap}">
			<c:forEach var="valueFunc" items="${itmEntry.value}">
				<html:option value="${itmEntry.key.name}.${valueFunc.name}">
					u${itmEntry.key.displayName}v${valueFunc.name}
				</html:option>
			</c:forEach>
		</c:forEach>
	</html:select>
</li>
</ul>
</fieldset>
<br/>
<fieldset>

<legend><bean:message key="label.logic.predicateType" bundle="site"/></legend>
<ul>
	<li><label><html:radio property="predicateType" value="anytime"/><bean:message key="label.logic.predicateType.anytime" bundle="site"/></label></li>
	<li>
	
	<label><html:radio property="predicateType" value="valueFunc"/>
	<bean:message key="label.logic.predicateType.valueFunc" bundle="site"/> </label>
			<html:select  property="valueFuncPredicate.funcName">
				<c:forEach var="itmEntry" items="${logicForm.aggregationValueMap}">
					<c:forEach var="valueFunc" items="${itmEntry.value}">
						<html:option value="${itmEntry.key.name}.${valueFunc.name}">
							u${itmEntry.key.displayName}v${valueFunc.name}
						</html:option>
					</c:forEach>
				</c:forEach>
			</html:select>
			<html:select property="valueFuncPredicate.condition">
				<c:forEach var="type" items="eq,ne,ge,gt,le,lt">
						<html:option value="${type}">
							<bean:message key="filter.label.${type}"/>
						</html:option>
				</c:forEach>
			</html:select>

			<html:text property="valueFuncPredicate.value"/>
			</li>
			
	<li><label><html:radio property="predicateType" value="securityFunc"/>
	<bean:message key="label.logic.predicateType.securityFunc" bundle="site"/><bean:message key="filter.label.eq"/></label>
	<html:select property="securityFuncPredicate.role">	
	<c:forEach var="role" items="${roleList_}">
		<html:option value="${role}">${role}</html:option>
	</c:forEach>
	</html:select>
	</li>
</ul>
</fieldset>
<br/>


<fieldset>
<legend><bean:message key="label.logic.procedureType" bundle="site"/></legend>
<ul>
<li>
	<label><html:radio property="procedureType" value="pageJump"/>
	<bean:message key="label.logic.procedureType.pageJump" bundle="site"/></label>
	<html:select property="procedure.pageName">
		<c:forEach var="itm" items="${logicForm.pageList}">
			<html:option value="${itm.path}">${itm.path}</html:option>
		</c:forEach>
	</html:select>
	<bean:message key="label.logic.procedure.pageJump.redirect" bundle="site"/><html:checkbox property="procedure.redirect"></html:checkbox>
</li>

<li>
	<label><html:radio property="procedureType" value="rowDelete"/>
	<bean:message key="label.logic.procedureType.rowDelete" bundle="site"/></label>
	<html:select property="procedure.deleteEntityName">
		<c:forEach var="itm" items="${logicForm.entityList}">
			<html:option value="${itm.name}">${itm.displayName}</html:option>
		</c:forEach>
	</html:select>
</li>

<li>
	<label><html:radio property="procedureType" value="rowUpdate"/>
	<bean:message key="label.logic.procedureType.rowUpdate" bundle="site"/></label>
	<html:select property="procedure.updateRuleName"> 
	<c:forEach var="itm" items="${logicForm.updateRuleList}">
		<html:option value="${itm.entity.name}.${itm.name}">${itm.entity.displayName} - ${itm.name}</html:option>
	</c:forEach>
	</html:select>
</li>
<li>
<label><html:radio property="procedureType" value="mailSend"/>
<bean:message key="label.logic.procedureType.mailSend" bundle="site"/></label>
		<html:select property="procedure.mailPageName">
			<c:forEach var="itm" items="${logicForm.pageList}">
				<html:option value="${itm.path}">${itm.pageName}</html:option>
			</c:forEach>
		</html:select>	 
		
		<html:select property="procedure.mailType">
			<html:option value="text"><bean:message key="label.logic.procedure.mailType.text" bundle="site"/></html:option>			
			<html:option value="html"><bean:message key="label.logic.procedure.mailType.html" bundle="site"/></html:option>			
		</html:select>
</li>
</ul>
</fieldset>

<div style="text-align:right">
	<html:submit><bean:message key="button.store" /></html:submit>
</div>

</html:form>
