<c:choose>
  <c:when test="${siteForm.editMode}">
    <div id="trail">
      <html:link page="/top.do"><bean:message key="title.top" bundle="tgw-manager" /></html:link>
      &raquo;&nbsp;<bean:message key="title.site" bundle="tgw-manager" />
      &raquo;&nbsp;<html:link page="/listSite.do"><bean:message key="title.site.listSite" bundle="tgw-manager" /></html:link>
      &raquo;&nbsp;<bean:message key="title.site.editSite" bundle="tgw-manager" />
    </div>
  </c:when>
  <c:otherwise>
    <div id="trail">
      <html:link page="/top.do"><bean:message key="title.top" bundle="tgw-manager" /></html:link>
      &raquo;&nbsp;<bean:message key="title.site" bundle="tgw-manager" />
      &raquo;&nbsp;<bean:message key="title.site.createSite" bundle="tgw-manager" />
    </div>
  </c:otherwise>
</c:choose>

<html:javascript formName="siteForm"></html:javascript>

<script type="text/javascript"> 

function changeAvailability(elem,flag){
  if(elem.length){
    for(var i=0;i<elem.length;i++){
      elem[i].disabled = flag;  
    }
  }else{
    elem.disabled = flag;
  }
}

function onclickSecurity(form){
	if(form.restriction[0].checked){
//	    changeAvailability(form.roles,false);
        changeAvailability(form.unauthenticated,false);
	    changeAvailability(form.userStoreMode,false);
	    changeAvailability(form.authMode,false);				
	}else{
		form.unauthenticated.disabled =true;
//    changeAvailability(form.roles,true);
        changeAvailability(form.unauthenticated,true);
	    changeAvailability(form.userStoreMode,true);
	    changeAvailability(form.authMode,true);	    		
	}
}

function onclickDatabase(form){
	if(form.baseDatabase[0].checked){
		form.dbName.disabled=true;
		form.dbSchema.disabled=true;
	}else{
		form.dbName.disabled =false;
		form.dbSchema.disabled=false;
	}
}

function onclickRoles(form){
	var flag = false;
	if(form.roles.length){
		for(var i=0;i<form.roles.length;i++){
	        if(form.roles[i].checked){
				flag = true;
	        }
	    }
    }else{
      if(form.roles.checked){
      	 flag=true;
      }
    }
    if(flag){
       	form.unauthenticated.disabled = false;
    }else{
  	    form.unauthenticated.checked = false;
    	form.unauthenticated.disabled = true;
    }
}

function onclickMode(form){

  if(form.userStoreMode[1].checked){
  
  }else{
  
  }
}
</script>

<c:choose>
  <c:when test="${siteForm.editMode}">
    <h2><bean:message key="title.site.editSite" bundle="tgw-manager" /></h2>
  </c:when>
  <c:otherwise>
    <h2><bean:message key="title.site.createSite" bundle="tgw-manager" /></h2>
  </c:otherwise>
</c:choose>
<html:form action="saveSite" onsubmit="return validateSiteForm(this);" enctype="multipart/form-data">
<fieldset>
<legend><bean:message key="label.site.createSite.basicConfig" bundle="tgw-manager" /></legend>
<div>
	<span class="formTitle"><bean:message key="label.site.title" bundle="tgw-manager" /></span>
	<html:text property="title"/>   <bean:message key="form.common.message.escapeOgnl" />
</div>
<div>		
	<span class="formTitle"><bean:message key="label.site.name" bundle="tgw-manager" /></span>
	<c:choose>
		<c:when test="${siteForm.editMode}">
			<html:text property="name" readonly="true"/> (<bean:message key="msg.field.noteditable"/>)	
		</c:when>
		<c:otherwise>
			<html:text property="name"/>  <bean:message key="form.common.message.identifier" />	
		</c:otherwise>
	</c:choose>
</div>

<div>		
	<span class="formTitle"><bean:message key="label.site.description" bundle="tgw-manager" /></span>
	<html:textarea property="description" cols="40" rows="4"/>
</div> 

<div>
	<span class="formTitle"><bean:message key="label.site.pageEditMode" bundle="tgw-manager" /></span>
	<label><html:radio property="pageEditMode" value="0"/><bean:message key="label.site.pageEditMode.wikiMode" bundle="tgw-manager" /></label>
	<label><html:radio property="pageEditMode" value="1"/><bean:message key="label.site.pageEditMode.richTextMode" bundle="tgw-manager" /></label>	
</div>

<div>
	<span class="formTitle"><bean:message key="label.site.tableEditMode" bundle="tgw-manager" /></span>
	<label style="font-weight: bold;"><html:radio property="easyMode" value="true"/><bean:message key="label.site.tableEditMode.easyMode" bundle="tgw-manager" /></label>	
	<label><html:radio property="easyMode" value="false"/><bean:message key="label.site.tableEditMode.advancedMode" bundle="tgw-manager" /></label>
</div>

</fieldset>

<br/>
<fieldset>
<legend><bean:message key="label.site.createSite.securityConfig" bundle="tgw-manager" /></legend>
<div>
	<span class="formTitle"><bean:message key="label.site.restriction" bundle="tgw-manager" /></span>
	<label><html:radio property="restriction" value="true"  onclick="onclickSecurity(this.form);"/><bean:message key="label.site.restriction.true" bundle="tgw-manager" /></label>
	<label><html:radio property="restriction" value="false" onclick="onclickSecurity(this.form);"/><bean:message key="label.site.restriction.false" bundle="tgw-manager" /></label>
</div>
<!-- div>
	<span class="formTitle"><bean:message key="label.site.roles" bundle="tgw-manager" /></span> (<bean:message key="msg.site.createSite.checkAuthenticatedRoles" bundle="tgw-manager" />)
	<ul>
	<c:forEach var="role" items="${roleList_}">
		<li><label><html:multibox property="roles" onclick="onclickRoles(this.form);">${role.name}</html:multibox>${role.name}</label></li>
	</c:forEach>
	</ul>	
</div -->
<div>
	<span class="formTitle"><bean:message key="label.site.securityOption" bundle="tgw-manager" /></span>
	<label><html:checkbox property="unauthenticated"/><bean:message key="label.site.securityOption.unauthenticated" bundle="tgw-manager" /></label>
</div>

<div>
	<span class="formTitle"><bean:message key="label.site.userStoreMode" bundle="tgw-manager" /></span>
	<c:choose>
		<c:when test="${siteForm.editMode}">
	<label><html:radio property="userStoreMode" value="0" onclick="onclickMode(this.form);"/><bean:message key="label.site.userStoreMode.LDAP" bundle="tgw-manager" /></label>
	<label><html:radio property="userStoreMode" value="1" onclick="onclickMode(this.form);"/><bean:message key="label.site.userStoreMode.DB" bundle="tgw-manager" /></label>		
		</c:when>
		<c:otherwise>
	<label><html:radio property="userStoreMode" value="0" disabled="true"/><bean:message key="label.site.userStoreMode.LDAP" bundle="tgw-manager" /></label>	
	<label><html:radio property="userStoreMode" value="1" disabled="true"/><bean:message key="label.site.userStoreMode.DB" bundle="tgw-manager" /></label>		
		</c:otherwise>	
	</c:choose>

</div>

<div>
	<span class="formTitle"><bean:message key="label.site.authMode" bundle="tgw-manager" /></span>
	<label><html:radio property="authMode" value="0"/><bean:message key="label.site.authMode.HTTPBasic" bundle="tgw-manager" /></label>
	<label><html:radio property="authMode" value="1"/><bean:message key="label.site.authMode.FormBase" bundle="tgw-manager" /></label>
</div>

</fieldset>
<br/>


<tag:onScript fname="changeSchema" parents="${externalDbInfoList_}" nullOption="false"
	parentV="name" childList="schemaNames"/>

<fieldset>
<legend><bean:message key="label.site.createSite.databaseConfig" bundle="tgw-manager" /></legend>
<div>
	<span class="formTitle"><bean:message key="label.site.database" bundle="tgw-manager" /></span>
	<table>
	<tr><td style="background-color:white;">
		<label><html:radio property="baseDatabase" value="true"  onclick="onclickDatabase(this.form);"/><bean:message key="label.site.database.baseDatabase" bundle="tgw-manager" /></label></td>
	<tr><td style="background-color:white;">
		<label><html:radio property="baseDatabase" value="false" onclick="onclickDatabase(this.form);"/><bean:message key="label.site.database.externalDatabase" bundle="tgw-manager" /></label></td>
	<tr><td style="background-color:white;">
		<div class="warningMsg"><bean:message key="msg.site.createSite.editTuigwaaProperties" bundle="tgw-manager" /></div></td></tr>
	</table>
</div>
<div>
	<span class="formTitle"><bean:message key="label.site.dbName" bundle="tgw-manager" /></span>
	<html:select property="dbName" onchange="changeSchema(this, this.form.dbSchema);">
		<c:forEach var="itm" items="${externalDbNames_}">
			<html:option value="${itm}">${itm}</html:option>
		</c:forEach>
	</html:select>
</div>
	
<div>
	<span class="formTitle"><bean:message key="label.site.dbSchema" bundle="tgw-manager" /></span>
	<html:select property="dbSchema">
		<html:option value="-">-</html:option>
	</html:select>
</div>
	
</fieldset>
<br/>

<fieldset>
<legend><bean:message key="label.site.createSite.skinConfig" bundle="tgw-manager" /></legend>
<div>
	<span class="formTitle"><bean:message key="label.site.skin" bundle="tgw-manager" /></span>
	<html:select property="skin">
		<c:forEach var="itm" items="${siteForm.skins}">
			<html:option value="${itm}">${itm}</html:option>
		</c:forEach>
	</html:select>
</div>
</fieldset>
<br/>

<html:submit><bean:message key="button.store"/></html:submit>
</html:form>

<script type="text/javascript">
	onclickSecurity(document.forms.siteForm);
	onclickDatabase(document.forms.siteForm);
	changeSchema(document.forms.siteForm.dbName, document.forms.siteForm.dbSchema);
</script>
