<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<%@ taglib uri="http://tuigwaa.seasar.org/tld/my" prefix="my"%>
<%@ taglib uri="http://struts.apache.org/tags-bean" prefix="bean"%>

<%@ attribute name="field" required="true" type="org.seasar.tuigwaa.model.core.TgwAttribute" %>

<c:choose>
	<c:when test='${field.class.name == \"org.seasar.tuigwaa.model.core.impl.StringAttribute\"}'>
		<c:choose>
			<c:when test="${field.restrictions!=null}">
				<bean:message key="field.type.string?restriction"/>
					(<c:forEach var="restriction" items="${field.restrictions}">
						${restriction}
					</c:forEach>)
			</c:when>
			<c:otherwise>
				<bean:message key="stringfield.mask.${field.mask}"/>
			</c:otherwise>
		</c:choose>
	</c:when>
	<c:when test='${field.class.name == \"org.seasar.tuigwaa.model.core.impl.BooleanAttribute\"}'>
		[ ${field.trueStr} , ${field.falseStr} ]
	</c:when>
	<c:when test='${field.class.name == \"org.seasar.tuigwaa.model.core.impl.DateAttribute\"}'>
		${field.startYear}
		<bean:message key="datefield.suffix.${field.startSuffix}"/>
		<bean:message key="label.from"/>
		${field.endYear}
		<bean:message key="datefield.suffix.${field.endSuffix}"/>
		<bean:message key="label.to"/>
	</c:when>
	<c:when test='${field.class.name == \"org.seasar.tuigwaa.model.core.impl.FkAttribute\"}'>
		${field.refEntity.displayName}
	</c:when>
	<c:when test='${field.class.name == \"org.seasar.tuigwaa.model.core.StringArrayField\"}'>
		[<c:forEach var="arrayItm" items="${field.array}" varStatus="i">
			<c:if test="${i.index!=0}">,</c:if>
			${i.index + 1}.${arrayItm}
		</c:forEach>]
	</c:when>
</c:choose>