

<tag:onScript fname="changeGraph" parents="${pageForm.entityInfoList}" nullOption="false"
			parentV="entity.displayName" childList="aggregationFuncList" childL="name" childV="name"/>

<script type="text/javascript">
function insertGraph(tableName, aggName, chartType, width){
	if(aggName==''||aggName=='-'){
		alert("<bean:message key='msg.plugin.insertGraph.needAggregation' bundle='site' />");
		return;
	}
		
	var args = new Array();
	args.push(tableName);
	args.push(aggName);	
		
	if(chartType[0].checked){
		args.push("bar");
	}else if(chartType[1].checked){
		args.push("line");
	}else if(chartType[2].checked){
		args.push("pie");
	}
	
	if(width!=''&&width!='-'){
		args.push(width);
	}

	editor.insertBlockPlugin('graph',args);
}
</script>

<h2><bean:message key="title.plugin.insertGraph" bundle="site"/></h2>
		
<form name="graphForm">
			
	<bean:message key="label.plugin.insertGraph.tablename" bundle="site"/><br/>
	<select name="tablename" onChange="changeGraph(this, this.form.filter);">
		<c:forEach var="info" items="${pageForm.entityInfoList}">
		<c:if test="${!info.entity.hidden}">
			<option value="${info.entity.displayName}">${info.entity.displayName}</option>
		</c:if>
		</c:forEach>
	</select><br/>
	
	<bean:message key="label.plugin.insertGraph.filter" bundle="site"/><br/>
	<select name="filter">
		<option >-</option>
	</select><br/>
	
	<label><input type="radio" name="chartType" value="bar" checked="checked"/><bean:message key="label.plugin.insertGraph.chartType.bar" bundle="site"/><br/>
	<img src="${contextPath_}/TGW-RES/img/chartbar.png" alt="<bean:message key="label.plugin.insertGraph.chartType.bar" bundle="site"/>"/></label><br/>		
	
	<label><input type="radio" name="chartType" value="line"/><bean:message key="label.plugin.insertGraph.chartType.line" bundle="site"/><br/>
	<img src="${contextPath_}/TGW-RES/img/chartline.png" alt="<bean:message key="label.plugin.insertGraph.chartType.line" bundle="site"/>"/></label><br/>		
	
	<label><input type="radio" name="chartType" value="pie"/><bean:message key="label.plugin.insertGraph.chartType.pie" bundle="site"/><br/>
	<img src="${contextPath_}/TGW-RES/img/chartpie.png" alt="<bean:message key="label.plugin.insertGraph.chartType.pie" bundle="site"/>"/></label><br/>		
		
	<bean:message key="label.plugin.insertGraph.width" bundle="site"/>: <input size="4" type="text" name="width"/><br/>

	<input type="button" value="<bean:message key="button.insert" />" onclick="insertGraph(this.form.tablename.value,this.form.filter.value, this.form.chartType, this.form.width.value);"/>
	
</form>

<script type="text/javascript">
	changeGraph(document.graphForm.tablename, document.graphForm.filter);
</script>