<%@ page contentType="text/html; charset=UTF-8"
	import="org.seasar.tuigwaa.model.core.attr.DateAttribute"%>

<html:javascript formName="aggregationForm"></html:javascript>

<c:choose>
	<c:when test="${param.value=='true'}">
		<c:set var="label">
			<bean:message key="title.aggregationValue" bundle="site" />
		</c:set>
	</c:when>
	<c:otherwise>
		<c:set var="label">
			<bean:message key="title.aggregation" bundle="site" />
		</c:set>
	</c:otherwise>
</c:choose>


<h1><bean:message
	key="title.aggregation.createAggregation.withArgs"
	arg0="${aggregationForm.entity.displayName}" arg1="${label}"
	bundle="site" /></h1>

<html:form action="/saveAggregation"
	onsubmit="return validateAggregationForm(this);">
	<c:if test="${param.value=='true'}">
		<html:hidden property="valueFlag" value="true" />
	</c:if>

	<b><bean:message key="label.aggregation.name.withArgs"
		arg0="${label}" bundle="site" /> : </b>
	<html:text property="name" />
	<br />
	<br />

	<c:if test="${param.value!='true'}">
		<fieldset><legend><bean:message
			key="label.aggregation.createAggregation.title" bundle="site" /></legend>
		<dl>
			<dt><bean:message key="label.aggregation.groupField1"
				bundle="site" /></dt>
			<dd><c:forEach var="tfield"
				items="${aggregationForm.entity.attributes}">
				<label><html:radio property="groupField1"
					value="${tfield.name}">${tfield.displayName}</html:radio></label>
				<c:if
					test="${tfield.class.name == \"org.seasar.tuigwaa.model.core.impl.DateAttribute\"}">
					<bean:define id="suffix_year"
						value="<%=DateAttribute.SUFFIX_AGGREGATION_YEAR %>" />
					<bean:define id="suffix_yearmonth"
						value="<%=DateAttribute.SUFFIX_AGGREGATION_YEARMONTH %>" />
					<label><html:radio property="groupField1"
						value="${tfield.name}?${suffix_year}">${tfield.displayName}(<bean:message
							key="datefield.year" />)</html:radio></label>
					<label><html:radio property="groupField1"
						value="${tfield.name}?${suffix_yearmonth}">${tfield.displayName}(<bean:message
							key="datefield.yearMonth" />)</html:radio></label>
				</c:if>
			</c:forEach></dd>
			<dt><bean:message key="label.aggregation.groupField2"
				bundle="site" /></dt>
			<dd><c:forEach var="tfield"
				items="${aggregationForm.entity.attributes}">
				<label><html:radio property="groupField2"
					value="${tfield.name}">${tfield.displayName}</html:radio></label>
				<c:if
					test="${tfield.class.name == \"org.seasar.tuigwaa.model.core.impl.DateAttribute\"}">
					<bean:define id="suffix_year"
						value="<%=DateAttribute.SUFFIX_AGGREGATION_YEAR %>" />
					<bean:define id="suffix_yearmonth"
						value="<%=DateAttribute.SUFFIX_AGGREGATION_YEARMONTH %>" />
					<label><html:radio property="groupField2"
						value="${tfield.name}?${suffix_year}">${tfield.displayName}(<bean:message
							key="datefield.year" />)</html:radio></label>
					<label><html:radio property="groupField2"
						value="${tfield.name}?${suffix_yearmonth}">${tfield.displayName}(<bean:message
							key="datefield.yearMonth" />)</html:radio></label>
				</c:if>
			</c:forEach></dd>
		</fieldset>
		<br />
	</c:if>


	<fieldset><legend><bean:message
		key="label.aggregation.createAggregation.value" bundle="site" /></legend> 
		<!--	tB[h	<html:button property="button" onclick="clickAdd()" value="ÇÁ"/> -->
	<div style="height:30px;">
	<table>
		<tbody id="rowSet">
			<td>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</td>
			<!-- Ajax -->
		</tbody>
	</table>
	</div>
	</fieldset>
	<br />


	<fieldset><legend><bean:message
		key="label.aggregation.createAggregation.data" bundle="site" /></legend> <bean:message
		key="msg.aggregation.createAggregation.selectFromFilters"
		bundle="site" /> <c:forEach var="dataFilter"
		items="${aggregationForm.dataFilterList}">
		<label><html:checkbox property="dataFilters"
			value="${dataFilter.name}">${dataFilter.name}</html:checkbox></label>
	</c:forEach></fieldset>
	<br />




	<br />
	<br />
	<html:hidden property="tableName"
		value="${aggregationForm.entity.name}" />

	<div style="text-align:right"><html:submit>
		<bean:message key="button.store" />
	</html:submit></div>

</html:form>
