<div id="trail">
  <html:link page="/top.do"><bean:message key="title.label.top" /></html:link>
   &raquo;&nbsp;<bean:message key="title.database" bundle="site" />
  <html:link page="/listEntity.do">&raquo;&nbsp;<bean:message key="title.label.listEntity"  /></html:link>  
  &raquo;&nbsp;${entityinfo_.entity.displayName}
</div>

<h2> <bean:message key="title.database.viewEntity.withArgs" arg0="${entityinfo_.entity.displayName}" bundle="site" /></h2>

<c:if test="${my:size(entityRefList_)>0}">
	<c:set var="additionalMsg">폜<bean:message key="msg.database.viewEntity.alsoRemoveEntity.withArgs" arg0="${itm.displayName}" bundle="site" /></c:set>
	<c:forEach var="itm" items="${entityRefList_}">
		<c:set var="additionalMsg">u${itm.displayName}v${additionalMsg}</c:set>
	</c:forEach>
</c:if>

<p>
<table border="1" cellspacing="0" width="600">
<caption style="text-align:right">[
		<html:link page="/editEntity.do?tableName=${entityinfo_.entity.name}" styleClass="action">
			<bean:message key="button.edit"  />
		</html:link>, 
		<a href="javascript:confirmBeforeDelete('${contextPath_}/${site_.name}/deleteEntity.do?tableName=${entityinfo_.entity.name}','${additionalMsg}');" class="action">
			<bean:message key="button.delete"  />
		</a>
]
</caption>
	<thead>
		<tr>
			<th colspan="2">
			${entityinfo_.entity.displayName}
			</th>
		</tr>
	</thead>
	<tbody>		
		<tr>
			<th width="120"><bean:message key="form.entityForm.tableName" /></th><td>${entityinfo_.entity.name}</td>
		</tr>		
		<tr>
			<th><bean:message key="form.entityForm.description" /></th><td>${entityinfo_.entity.description}</td>
		</tr>				
		<tr>
			<td colspan="2">
				<table width="100%">
				<tr>
					<th><bean:message key="label.field.displayName" bundle="site" /></th>
					<c:if test="${!site_.easyMode}">
						<th>J</th>
					</c:if>
					<th><bean:message key="label.field.type" bundle="site" /></th>
					<th><bean:message key="label.field.required" bundle="site" /></th>
					<th><bean:message key="label.field.option" bundle="site" /></th>	
					<th><bean:message key="label.field.order" bundle="site" /></th>
				</tr>
				<tr>
					<td>${entityinfo_.entity.primaryKeyDisplayName}</td>
					<c:if test="${!site_.easyMode}">
						<td>${entityinfo_.entity.primaryKeyColumnName}</td>
					</c:if>
					<td class="cellcenter">
						ID(<bean:message key="field.type.integer" />)
					</td>
					<td>&nbsp;</td>
					<td>
<c:choose>
	<c:when test="${entityinfo_.entity.randomId}">
						<bean:message key="form.entityForm.id.random" />
	</c:when>
	<c:otherwise>
						<bean:message key="form.entityForm.id.serial" />
	</c:otherwise>
</c:choose>
					</td>
					<td>&nbsp;</td>
				</tr>
				<c:forEach var="field" items="${entityinfo_.entity.fieldIterator}" varStatus="status">
				<tr>
					<td>${field.displayName}</td>
					<c:if test="${!site_.easyMode}">
						<td>${field.name}</td>
					</c:if>
					<td class="cellcenter">
						<c:choose>
							<c:when test="${field.option!=null&&field.option!=''}">
								<bean:message key="field.type.${field.type}?${field.option}"/>
							</c:when>
							<c:otherwise>
								<bean:message key="field.type.${field.type}"/>
							</c:otherwise>
						</c:choose>
					</td>
					<td class="cellcenter">
						<c:if test="${field.required}"><bean:message key="label.field.required" bundle="site" /></c:if>
					</td>
					<td>
						<tag:fieldOptionView field="${field}"/>				
					</td>
					<td class="cellcenter">
						<c:if test="${!status.first}"><html:link page="/editOrderEntity.do?tableName=${entityinfo_.entity.name}&amp;_idx_=${status.count-1}">&uarr;</html:link></c:if>
						<c:if test="${!status.last}"><html:link page="/editOrderEntity.do?tableName=${entityinfo_.entity.name}&amp;_idx_=${status.count}">&darr;</html:link></c:if>
					</td>
					</tr>
				</c:forEach>
				</table>
			</td>
		</tr>
		
		
		</tbody>
	</table>
	
	<bean:message key="msg.database.viewEntity.confirmOptionDetails" bundle="site" />
</p>

