<div id="trail">
  <html:link page="/top.do"><bean:message key="title.label.top" /></html:link>
   &raquo;&nbsp;<bean:message key="title.database" bundle="site" />
<c:choose>
	<c:when test="${entityForm.saved}">
		&raquo;&nbsp; <bean:message key="title.database.editEntity.withArgs" arg0="${entityForm.entity.displayName}" bundle="site" />
	</c:when>
	<c:otherwise>
		&raquo;&nbsp;<bean:message key="title.label.createEntity" />
	</c:otherwise>
</c:choose>
  [&nbsp;<html:link page="/listEntity.do"><bean:message key="title.label.listEntity"  /></html:link>]
</div>

<c:choose>
	<c:when test="${entityForm.saved}">
		<h2><bean:message key="title.database.editEntity.withArgs" arg0="${entityForm.entity.displayName}" bundle="site" /></h2>
	</c:when>
	<c:otherwise>
		<h2><bean:message key="title.label.createEntity" /></h2>
	</c:otherwise>
</c:choose>

<html:messages id="msg" property="displayName" message="false">
	<div class="info">${msg}</div>
</html:messages>
<html:messages id="msg" property="tableName" message="false">
	<div class="info">${msg}</div>
</html:messages>

<tag:onScript fname="changeRefFilter" parents="${entityInfoList_}" nullOption="true"
	parentV="entity.name" childList="functionList" childL="name" childV="name"/>

<html:form action="saveEntity">

<fieldset>
<legend class="config"> <bean:message key="label.database.createEntity.basicConfig" bundle="site" /></legend>

<div>
	<span class="formTitle">
		<bean:message key="form.entityForm.displayName" />
	</span>
	<logic:messagesPresent property="displayName">
		<html:text property="displayName" styleClass="errorfield" /><bean:message key="form.common.message.escapeOgnl" />
	</logic:messagesPresent>
	<logic:messagesNotPresent property="displayName">
		<html:text property="displayName" />
	</logic:messagesNotPresent> 
</div>

<c:if test="${!entityForm.easyMode}">
<div>
	<span class="formTitle"><bean:message key="form.entityForm.tableName"/></span>
			<c:choose>
			<c:when test="${entityForm.saved}">
				${entityForm.entity.name} <bean:message key="msg.database.createEntity.cantChangeTableName" bundle="site" />
				<html:hidden property="tableName" value="${entityForm.entity.name}"/>
			</c:when>
			<c:otherwise>
				<logic:messagesPresent property="tableName">
					<html:text property="tableName" styleClass="errorfield" />
				</logic:messagesPresent>
				<logic:messagesNotPresent property="tableName">
					<html:text property="tableName" />
				</logic:messagesNotPresent> 
				<bean:message key="form.common.message.identifier" />				
			</c:otherwise>
			</c:choose>
</div>
</c:if>

<div>
	<span class="formTitle"><bean:message key="form.entityForm.description"/></span>
	<html:textarea rows="3" cols="40" property="description"/>
</div>		
</fieldset>

	<br/>

<html:messages id="msg" property="builtinRow[0].displayName" message="false">
	<div class="info">${msg}</div>
</html:messages>
<html:messages id="msg" property="column" message="false">
	<div class="info">${msg}</div>
</html:messages>

<fieldset>
<legend class="config"><bean:message key="label.database.createEntity.column" bundle="site"/></legend>
	<div >
		<bean:message key="label.database.createEntity.columnNum" bundle="site"/>: 

		<span id="rowSetSize">0</span>
		<html:button property="button" onclick="clickAdd()" ><bean:message key="button.add" /></html:button>
	</div>		
	
<div>	
	<table border="1" cellspacing="0" cellpadding="3">
	<thead>
		<tr>
<c:if test="${!entityForm.easyMode}">
			<th>代表</th>
</c:if>
			<th><bean:message key="label.field.type" bundle="site"/></th>
			<th><bean:message key="label.field.displayName" bundle="site"/></th>
<c:if test="${!entityForm.easyMode}">
			<th>カラム名</th>
</c:if>
			<th><bean:message key="label.field.description" bundle="site"/></th>
			<th><bean:message key="label.field.required" bundle="site"/></th>
			<th><bean:message key="label.field.option" bundle="site"/></th>
			<th><bean:message key="button.operate" /></th>
		</tr> 
	</thead>
	<tbody>
		<tr>
<c:if test="${!entityForm.easyMode}">
			<td>&nbsp;</td>
</c:if>
			<td>ID(<bean:message key="field.type.integer" />)</td>
			<td><html:text property="builtinRow[0].displayName"/></td>
<!-- logic:messagesPresent property="pkDisplayName"-->
				<!-- html:text property="pkDisplayName" styleClass="errorfield" / -->
<!-- /logic:messagesPresent-->
<!-- logic:messagesNotPresent property="pkDisplayName" -->
				<!-- html:text property="pkDisplayName" / -->
<!-- logic:messagesNotPresent-->
<c:if test="${!entityForm.easyMode}">
			<td>pkDisplayname</td>
</c:if>
			<td><bean:message key="msg.database.createEntity.idDescription" bundle="site"/></td>
			<td>&nbsp;</td>
			<td>
				<bean:message key="form.entityForm.id.serial" />
				randomid
			</td>
			<td>&nbsp;</td>
		</tr>
	</tbody>
	<tbody id="rowSet">
		<!-- Ajax -->
	</tbody>
	</table>
</div>
	<div>		
		<html:button property="button" onclick="clickAdd()" value="カラム追加"/>
	</div>		

</fieldset>
	<br/>
<fieldset>
<legend class="config"><bean:message key="label.database.createEntity.option" bundle="site"/></legend>
	<label>
		<html:checkbox property="optionAttributes[0]"/>
		<bean:message key="label.database.creationUserFlag" bundle="site"/>
	</label> 
		(<label><bean:message key="label.database.userUnique" bundle="site"/></label>)  
		(<bean:message key="label.field.displayName" bundle="site"/>  <html:text property="builtinRow[1].displayName"/>)
		<c:if test="${site_.userStoreDatabase}">
				<html:checkbox property="builtinRow[1].foreignKeyFlag"/>
				<bean:message key="label.database.creationUserAddRelationFlag" bundle="site"/>
		</c:if>
		<br/>
	<label>
		<html:checkbox property="optionAttributes[1]"/>
		<bean:message key="label.database.modificationUserFlag" bundle="site"/>
	</label>
		(<bean:message key="label.field.displayName" bundle="site"/>  <html:text property="builtinRow[2].displayName"/>)
		<c:if test="${site_.userStoreDatabase}">
					<html:checkbox property="builtinRow[2].foreignKeyFlag"/>
					<bean:message key="label.database.modificationUserAddRelationFlag" bundle="site"/>
		</c:if>		
	 <br/>
	<label>
		<html:checkbox property="optionAttributes[2]"/>
		<bean:message key="label.database.creationFieldFlag" bundle="site"/></label>
		(<bean:message key="label.field.displayName" bundle="site"/>   <html:text property="builtinRow[3].displayName"/>)
	 <br/>
	<label>
		<html:checkbox property="optionAttributes[3]"/>
		<bean:message key="label.database.modificationFieldFlag" bundle="site"/>
	</label>
		(<bean:message key="label.field.displayName" bundle="site"/>   
		<html:text property="builtinRow[4].displayName"/>)
</fieldset>
<br/>
<html:submit property="button" ><bean:message key="button.createNew" /></html:submit>
</html:form>
