
<%-- 
<html:javascript formName="filterForm"></html:javascript>
--%>

<script type="text/javascript" language="Javascript1.1" src="${contextPath_}/TGW-RES/javascript/rico.js" ></script>
<script type="text/javascript" src="${contextPath_}/TGW-RES/javascript/filterMultiSort.js"></script>

<h1>
	<c:if test="${filterForm.aggregationName!=null}">
		<bean:message key="title.aggregation" bundle="site" />
	</c:if>
<bean:message key="title.filter.createFilter.withArgs" arg0="${filterForm.entity.displayName}" bundle="site" />
</h1>

<tag:validator form="filterForm"/>
<html:form action="/saveFilter" onsubmit="return validator.execute('validateFilterForm',this);">

<b><bean:message key="form.filterForm.name" /> : </b><html:text property="name"/><br/>
	<bean:message key="msg.filter.createFilter.copyIfNameIsChanged" bundle="site"/>

<br/><br/>

<!-- fieldset.1 -->
<fieldset >
<legend><bean:message key="label.filter.createFilter.basicCondition" bundle="site" /></legend>
<div style="height:150px;overflow:auto;">
	<label><html:radio property="disjunction" value="false"/><bean:message key="form.filterForm.disjunction.false" /></label>	
	
	<c:if test="${filterForm.aggregationName==null}">
		<label><html:radio property="disjunction" value="true"/><bean:message key="form.filterForm.disjunction.true" /></label>	
	</c:if>
	
	 &nbsp;<!--  --><html:button property="button" onclick="clickAdd()"><bean:message key="button.add" /></html:button>
	<br/>
	
	<table>
		<tbody id="rowSet">
			<!-- Ajax -->
		</tbody>
	</table>
</div>
</fieldset>
<br/>


<!-- fieldset.2 -->
<fieldset>
	<legend>
	<label><html:radio property="columnSelected" value="true"/><bean:message key="form.filterForm.columnSelected.true" /></label>
	<label><html:radio property="columnSelected" value="false"/><bean:message key="form.filterForm.columnSelected.false"  /></label>
	</legend> 
	<br/>
	<label>
	   <!-- input type="checkbox" name="selectedColumns" value="id"/ -->
	</label>
	<c:forEach var="itm" items="${filterForm.fieldList}" varStatus="status">
		<label><html:checkbox property="selectedColumns[${status.index}]" value="${itm.name}"/>
		${itm.displayName}</label>
	</c:forEach>
</fieldset>
<br/>


<!-- fieldset.3 -->
<fieldset>
<legend><bean:message key="label.filter.createFilter.sortItem" bundle="site" /></legend>
<table>
	<tr>
		<td>
			<bean:message key="label.filter.createFilter.sortItem.sortKey" bundle="site" />
			<div id="sort" class="simpleDropPanel" style="width:250px;height:100px;overflow:auto;">
			   <c:forEach var="itm" items="${filterForm.dataFilterFormOrderRows}" varStatus="status">
					<div id="id_${itm.selectedOrder}"><span id='spanid_${itm.selectedOrder}'><input type='radio' name='dataFilterFormOrderRow[${status.index}].ascendant' value='true' ${itm.ascendantChecked} /><bean:message key="form.filterForm.ascendant.true"  /><input type='radio' name='dataFilterFormOrderRow[${status.index}].ascendant' value='false' ${itm.descendantChecked}/><bean:message key="form.filterForm.ascendant.false"  />&nbsp;<input type='hidden' name='dataFilterFormOrderRow[${status.index}].orderSelected' value='true' /><input type='hidden' name='dataFilterFormOrderRow[${status.index}].selectedOrder' value='${itm.selectedOrder}' /></span>
					${itm.displayName}</div>
					<script>
						dndMgr.registerDraggable( new AttrDraggable('id_${itm.selectedOrder}', '${itm.displayName}' ,'${itm.selectedOrder}','','~',true ) );
					</script>
				</c:forEach>
			</div>
		</td>
		<td>
		 <b></b><br/>
		 <b></b>
		</td>
		<td>
			<bean:message key="label.filter.createFilter.sortItem.notSortKey" bundle="site" />
			<div id="nosort" class="simpleDropPanel" style="width:150px;height:100px;overflow:auto;">
				<c:forEach var="itm" items="${filterForm.notOrderFields}">
					<div id="id_${itm.name}">${itm.displayName}</div>
					<script>
						dndMgr.registerDraggable( new AttrDraggable('id_${itm.name}', '${itm.displayName}' ,'${itm.name}','<bean:message key="form.filterForm.ascendant.true" />','<bean:message key="form.filterForm.ascendant.false" />',false ) );
					</script>
				</c:forEach>
			</div>
		</td>

	</tr>
</table>
<script>
   dndMgr.registerDropZone( new SortDropzone('sort') );
   dndMgr.registerDropZone( new NoSortDropzone('nosort') );
</script>
</fieldset>

<!-- fieldset.4 -->
<fieldset>
	<legend><bean:message key="label.filter.createFilter.option" bundle="site" />:</legend>
	<ul>
		<li><bean:message key="form.filterForm.maxResult.former" /><html:text property="maxResult" size="4"/><bean:message key="form.filterForm.maxResult.latter" /></li>
		<li><bean:message key="form.filterForm.firstResult.former" /><html:text property="firstResult" size="4"/><bean:message key="form.filterForm.firstResult.latter" /></li>
	</ul>
</fieldset>
	
<br/>	
	<html:hidden property="tableName" value="${filterForm.entity.name}"/>
	<div style="text-align:right">
		<html:submit><bean:message key="button.store" /></html:submit>
	</div>
	</html:form>
	
