<div id="trail">
	<html:link page="/">
		<bean:message key="title.label.top" />
	</html:link> &raquo;&nbsp;<bean:message key="title.label.listFolder" />
</div>

<h2><bean:message key="title.label.listFolder" /></h2>

<html:form action="/deleteFolder">
	<html:hidden property="folderpath" value="${pageName_}" />

	<fieldset>
		<legend class="folder"> 
			${pageName_} <bean:message key="label.folder.listFolder" bundle="site" /> 
			<c:if test="${parent_ != null}">
				<html:link page="/listFolder.do?_pageName_=${my:urlEncode(parent_)}">
					<bean:message key="label.folder.listFolder.up" bundle="site" />
				</html:link>
			</c:if> 
			
			<input type="button" value="New Folder" onclick="javascript:newFolderPanel.render('');" /> 
		</legend>
		
	
	  <c:if test="${my:size(folderContents_) != 0}">
		<ul id="folderlist">
			<c:forEach items="${folderContents_}" var="item">
				<li><html:checkbox property="uris" value="${item.path}" /> <c:choose>
					<c:when test="${item.folder}">
						<html:link
							page="/listFolder.do?_pageName_=${my:urlEncode(item.path)}"
							styleClass="folder">
      			${item.pageName}&nbsp;
      		</html:link>
		    <c:if test="${site_.restriction}">
				(<tag:popup
								page="${contextPath_}/${site_.name}/createFolderSetting.do?_pageName_=${my:urlEncode(item.path)}"
								width="400" height="400">
								<bean:message key="label.folder.listFolder.security"
									bundle="site" />
							</tag:popup>)
			</c:if>
					</c:when>
					<c:otherwise>
						<html:link page="/${my:urlEncode(item.path)}" styleClass="file">${item.pageName}&nbsp;</html:link>
						<c:if test="${site_.restriction}">
				(<tag:popup
								page="${contextPath_}/${site_.name}/createFolderSetting.do?_pageName_=${my:urlEncode(item.path)}"
								width="400" height="400">
								<bean:message key="label.folder.listFolder.security"
									bundle="site" />
							</tag:popup>)
			</c:if>
					</c:otherwise>
				</c:choose> 
					(<input type="button" value="<bean:message key="button.rename" />" onclick='javascript:renamePagePanel.render("${item.path}");' />)
					(<input type="button" value="<bean:message key="button.move" />" onclick='javascript:movePagePanel.render("${item.path}");' />)
					
					
			</li>



			</c:forEach>
		</ul>
		<html:submit>
			<bean:message key="button.delete" />
		</html:submit>
	</c:if>
		</fieldset>
</html:form>




<!-- ######### Rename Page Panel ####### -->
<div id="tgw-form-pageRenameDiv">
<html:messages id="msg" message="false">
	<div class="error">${msg}</div>
</html:messages>
<html:form styleId="tgw-form-pageRename" action="/savePageRename">
	<bean:message key="label.page.createPageRename.enterNewName" bundle="site" />
	<br />
	<input type="hidden" name="pagePath" value="${pageName_}" />
	<input type="hidden" name="_pageName_" value="${pageName_}" />
	<input type="text" name="newPageName" /></div>
</html:form>
</div>


<!-- ######### New Folder Panal ####### -->
<div id="tgw-form-saveFolderDiv">
<html:messages id="msg" message="false">
	<div class="info">${msg}</div>
</html:messages> 
<html:form styleId="tgw-form-saveFolder" action="/saveFolder">
	<div><span class="formTitle"><bean:message
		key="label.folder.foldername" bundle="site" /></span> <html:text
		property="foldername" /> <html:hidden property="folderpath"
		value="${pageName_}" /></div>
</html:form>
</div>


<!-- ######### Move Page Panal ####### -->
<div id="tgw-form-movePageDiv">
<html:form styleId="tgw-form-movePage" action="/savePageMove">
<div>
	<bean:message key="label.page.createPageMove.selectDestination" bundle="site" />
	<input type="hidden" name="_pageName_" value="${pageName_}" /> 
	<input type="hidden" name="pagePath" value="${pageName_}" /> 
	<html:select property="newParentPath">
		<html:option value="/">/</html:option>
		<c:forEach items="${folderList_}" var="item">
			<html:option value="${item.path}">${item.path}</html:option>
		</c:forEach>
	</html:select>
</div>
</html:form>
</div>


<script>

PanelCfg = {
	NEW_FOLDER : {
			divName : "tgw-form-saveFolderDiv",
			formName : "tgw-form-saveFolder",
			header : "<bean:message key="label.folder.saveFolder" bundle="site"/>"
		},
	RENAME_PAGE : {
			divName : "tgw-form-pageRenameDiv",
			formName : "tgw-form-pageRename",
			header : "<bean:message key="button.rename"/>"
		},
	MOVE_PAGE : {
			divName : "tgw-form-movePageDiv",
			formName : "tgw-form-movePage",
			header : "<bean:message key="button.rename"/>"
		}
};


PopupPanel = function(cfg){
	this.ypanel = new YAHOO.widget.SimpleDialog(cfg.divName, { 
							fixedcenter:true,
							modal:true,
							draggable:false });;
	this.form = document.getElementById(cfg.formName);
	this.cfg = cfg;
};

PopupPanel.prototype.render = function(pagePath){
	var thisForm = this.form;
	this.initForm(pagePath);
	this.ypanel.setHeader(this.cfg.header);
	
	
	
	this.ypanel.cfg.queueProperty("buttons", [
         					 { text:"<bean:message key="button.store" />", handler:function(){
									var thisPanel = this;
									YAHOO.util.Connect.setForm(thisForm); 
									var cObj = YAHOO.util.Connect.asyncRequest('POST', thisForm.action, 
										{
										success: function(o) {
											eval("var result = " + o.responseText);
											if(result.code != 200){
												alert(resultm.message);
											}
		           					 		thisPanel.hide();
											window.location.reload();
										},
									    failure: function(o) {alert(o);},
									    timeout: 5000,
									    argument: [] 
										}
									
									);								
           					 }, isDefault:true },
            			     { text:"Cancel", handler:function(){
            			     		this.hide();
            			     }}
			        	]);
	this.ypanel.render();
	this.ypanel.show();
};

PopupPanel.prototype.initForm = function(pagePath){
};

var newFolderPanel = new PopupPanel(PanelCfg.NEW_FOLDER);
var renamePagePanel = new PopupPanel(PanelCfg.RENAME_PAGE);
var movePagePanel = new PopupPanel(PanelCfg.MOVE_PAGE);
renamePagePanel.initForm = function(pagePath){
	this.form.newPageName.value= pagePath;
	this.form.pagePath.value= pagePath;
	this.form._pageName_.value = pagePath;
};
movePagePanel.initForm = function(pagePath){
	this.form.pagePath.value= pagePath;
	this.form._pageName_.value = pagePath;
};

</script>
