<div id="trail">
  <html:link page="/top.do"><bean:message key="title.label.top" /></html:link>
   &raquo;&nbsp;<bean:message key="title.database" bundle="site" />
  <html:link page="/listEntity.do">&raquo;&nbsp;<bean:message key="title.label.listEntity"  /></html:link>  
  &raquo;&nbsp;${entityinfo_.entity.displayName}
</div>

<h2> <bean:message key="title.database.listRecord.withArgs" arg0="${entityinfo_.entity.displayName}"  bundle="site"/></h2>


<div class="info">
<c:choose>
	<c:when test="${selectedFilter_ != null && selectedFilter_ != '' && value_ == null}">
  		<c:choose>
			<c:when test="${entityAgg_!='true'}">
				<bean:message key="title.filter" bundle="site" />
			</c:when>
			<c:otherwise>
				<bean:message key="title.aggregation" bundle="site" />
			</c:otherwise>
		</c:choose>
		
		 <bean:message key="label.database.listRecord.filter.withArgs" arg0="${selectedFilter_}" bundle="site" />
			[<html:link page="/listRecord.do?tableName=${param.tableName}" styleClass="action"><bean:message key="label.database.listRecord.table" bundle="site" /></html:link>
		]<my:plugin name="excellink" args="${entityinfo_.entity.name},${selectedFilter_}"/>
		<c:if test="${entityAgg_!='true'}"> 
			[<tag:deleteDialog page="/deleteRecordByFilter.do?tableName=${param.tableName}&filter=${selectedFilter_}">
				<bean:message key="title.database.deleteRecordByFilter" bundle="site" />
			</tag:deleteDialog>]
		</c:if>
		
		[<a href="${contextPath_}/tgw-api/data/${site_.name}/${entityinfo_.entity.name}/-/${selectedFilter_}?type=json"  class="action">
			JSON Access
		</a>]
		[<a href="${contextPath_}/tgw-api/data/${site_.name}/${entityinfo_.entity.name}/-/${selectedFilter_}"  class="action">
			Atom Access
		</a>]
	</c:when>
	<c:otherwise>
		[<a href="${contextPath_}/tgw-api/data/${site_.name}/${entityinfo_.entity.name}/?type=json"  class="action">
			JSON Access
		</a>]
		[<a href="${contextPath_}/tgw-api/data/${site_.name}/${entityinfo_.entity.name}/"  class="action">
			Atom Access
		</a>]
	</c:otherwise>
</c:choose>
</div><br/>

<c:choose>

<c:when test="${value_ != null}">
<div class="info">
		<bean:message key="msg.database.listRecord.aggregationValue" arg0="${selectedFilter_}" arg1="${value_}" bundle="site" />
			[<html:link page="/listRecord.do?tableName=${param.tableName}" styleClass="action"><bean:message key="label.database.listRecord.table" bundle="site" /></html:link>]
</div>		
</c:when>

<c:otherwise>
<c:if test="${resultSet_.rowSize>100 || param.first>0}">
	<div class="info">
	
	<c:if test="${param.first>0}">
		 <html:link page="/listRecord.do?tableName=${param.tableName}&amp;order=${param.order}&amp;desc=${param.desc}&amp;filter=${my:urlEncode(selectedFilter_)}&amp;first=${param.first - 100}">
 			<bean:message key="label.database.listRecord.previous" arg0="100" bundle="site" />
	 	 </html:link>
 	</c:if>
	<c:if test="${resultSet_.rowSize>100}">
		 <html:link page="/listRecord.do?tableName=${param.tableName}&amp;order=${param.order}&amp;desc=${param.desc}&amp;filter=${my:urlEncode(selectedFilter_)}&amp;first=${param.first + 100}">
 			<bean:message key="label.database.listRecord.next" arg0="100" bundle="site" />
	 	 </html:link>
 	</c:if>

	</div>
</c:if>


<div>
	<table border="1" cellspacing="0">
		<caption style="text-align:left;width:400px;">
			[<html:link styleClass="action" page="/createRecord.do?button=insert&amp;tableName=${entityinfo_.entity.name}"><bean:message key="title.database.createRecord" bundle="site" /></html:link>]
			[<tag:deleteDialog page="/deleteRecordAll.do?tableName=${param.tableName}"><bean:message key="title.database.deleteRecordAll" bundle="site" /></tag:deleteDialog>]			
			[
			<c:choose>
			  <c:when test="${entityinfo_.availableWithSpreadsheet}"><span style="font-size:0.6em;"><bean:message key="msg.database.listRecord.notAvailableWithSpreadsheet" bundle="site" /></span>
			  </c:when>
			  <c:otherwise>
			<html:link page="/createRecordTable.do?tableName=${param.tableName}" styleClass="action"><bean:message key="title.database.createRecordTable" bundle="site" /></html:link>
			  </c:otherwise>
			</c:choose>
			]
		</caption>
		<tr>
			<c:if test="${resultSet_.spreadSheet}">
				<th>&nbsp;</th>
			</c:if>
			<c:forEach var="theader" items="${resultSet_.headers}">
				<th>
					${resultSet_.displayHeaderMap[theader]}
					<c:if test="${entityAgg_!='true'}">
					<html:link page="/listRecord.do?tableName=${param.tableName}&amp;order=${theader}&amp;filter=${my:urlEncode(selectedFilter_)}" styleClass="action2">
						&uarr;									
					</html:link>
					<html:link page="/listRecord.do?tableName=${param.tableName}&amp;order=${theader}&amp;desc=desc&amp;filter=${my:urlEncode(selectedFilter_)}" styleClass="action2">
						&darr;									
					</html:link>
					</c:if>
				</th>
			</c:forEach>
			<c:if test="${entityAgg_!='true'}">
				<th><bean:message key="button.operate" /></th>
			</c:if>
		</tr>

		
		<c:forEach var="row" varStatus="status" items="${resultSet_}">
		<c:if test="${status.index<100}">
		<tr>
			<c:if test="${resultSet_.spreadSheet}">
				<th>${resultSet_.currentRowHeader}</th>
			</c:if>
			<c:forEach var="data" items="${row}">
				<td>${data}</td>
			</c:forEach>
			<c:if test="${entityAgg_!='true'}">			
			<td> 
				<html:link styleClass="action" page="/editRecord.do?id=${row.dataMap['id']}&amp;tableName=${entityinfo_.entity.name}">
					<bean:message key="button.edit" />
				</html:link>
				<tag:deleteDialog page="/deleteRecord.do?id=${row.dataMap['id']}&tableName=${entityinfo_.entity.name}">
					<bean:message key="button.delete" />
				</tag:deleteDialog>
			</td>			
			</c:if>
		</tr>
		</c:if>
		</c:forEach>

	</table>
</div>
</c:otherwise>
</c:choose>
<br/>
