<c:if test="${entityInfoList_ != null}">
<h2><bean:message key="title.label.listEntity"/></h2>
<ul>
<c:forEach var="anEntityInfo" items="${entityInfoList_}">
	<li class="database"><html:link page="/listRecord.do?tableName=${anEntityInfo.entity.name}">
		${anEntityInfo.entity.displayName}</html:link>
		
		<c:if test="${anEntityInfo.entity == entityinfo_.entity}">
		<br/>(
		<html:link page="/viewEntity.do?tableName=${anEntityInfo.entity.name}" styleClass="action">
			<bean:message key="button.definition" />
		</html:link>,
		<html:link page="/editEntity.do?tableName=${anEntityInfo.entity.name}" styleClass="action">
			<bean:message key="button.edit" />
		</html:link>, 
		<tag:deleteDialog page="/deleteEntity.do?tableName=${anEntityInfo.entity.name}">
			<bean:message key="button.delete" />
		</tag:deleteDialog>
		)
		</c:if>
	</li>
</c:forEach>
</ul>
</c:if>



<c:if test="${entityinfo_!= null}">
<hr/>

<h2><bean:message key="title.filter" bundle="site" />
	<input type="button" 
    		onclick="javascript:dialogMgr.popup('${contextPath_}/${site_.name}/createFilter.do?tableName=${entityinfo_.entity.name}',500,600);" 
      		value="<bean:message key="button.add" />"/>
</h2>
<ul>	
	<c:forEach var="itm" items="${entityinfo_.dataFilterList}">
	<li>
		<html:link page="/listRecord.do?tableName=${entityinfo_.entity.name}&amp;filter=${my:urlEncode(itm.name)}">
			${itm.name}
		</html:link><br />
		&nbsp;(<c:set var="popupPath" value="${contextPath_}/${site_.name}/editFilter.do?tableName=${entityinfo_.entity.name}&amp;filter=${my:urlEncode(itm.name)}"/>
		<a href='javascript:dialogMgr.popup("${my:urlEncode(popupPath)}",500,600);' >
			<bean:message key="button.editAndCopy" />
		</a>, 
		<tag:deleteDialog page="/deleteFilter.do?tableName=${entityinfo_.entity.name}&amp;deleteFilter=${my:urlEncode(itm.name)}" >
			<bean:message key="button.delete" />
		</tag:deleteDialog>)
	</li>
	</c:forEach>
</ul>

<h2><bean:message key="title.aggregation" bundle="site" />
	<input type="button" 
    		onclick="javascript:dialogMgr.popup('${contextPath_}/${site_.name}/createAggregation.do?tableName=${entityinfo_.entity.name}', 500, 400);" 
      		value="<bean:message key="button.add" />"/>
</h2>
<ul>	
	<c:forEach var="itm" items="${entityinfo_.aggregationFuncList}">
	<li>
		<html:link page="/listRecord.do?tableName=${entityinfo_.entity.name}&amp;filter=${my:urlEncode(itm.name)}&amp;filterType=aggregation">
			${itm.name}
		</html:link><br />
		&nbsp;(<tag:deleteDialog page="/deleteFilter.do?tableName=${entityinfo_.entity.name}&amp;deleteFilter=${my:urlEncode(itm.name)}" >
			<bean:message key="button.delete" />
		</tag:deleteDialog>
		<c:if test="${itm.dataTableFilter == null}">
				,<a href="javascript:dialogMgr.popup(encodeURI('${contextPath_}/${site_.name}/createFilter.do?tableName=${entityinfo_.entity.name}&amp;agg=${my:urlEncode(itm.name)}'),500,600);" class="action">
					<bean:message key="title.filter.createFilter" bundle="site" />
				</a>
		</c:if>
		)
	</li>
	</c:forEach>
</ul>

<h2><bean:message key="title.aggregationValue" bundle="site" />
	<input type="button" 
    		onclick="javascript:dialogMgr.popup('${contextPath_}/${site_.name}/createAggregation.do?tableName=${entityinfo_.entity.name}&value=true',500,400);" 
      		value="<bean:message key="button.add" />"/>
</h2>
<ul>	
	<c:forEach var="itm" items="${entityinfo_.valueAggFuncList}">
	<li>
		<html:link page="/listRecord.do?tableName=${entityinfo_.entity.name}&amp;filter=${my:urlEncode(itm.name)}&amp;filterType=value">
			${itm.name}
		</html:link><br />
		&nbsp;(<tag:deleteDialog page="/deleteFilter.do?tableName=${entityinfo_.entity.name}&amp;deleteFilter=${my:urlEncode(itm.name)}" >
			<bean:message key="button.delete" />
		</tag:deleteDialog>)
	</li>
	</c:forEach>
</ul>

<h2><bean:message key="title.searchForm" bundle="site" />
	<input type="button" 
    		onclick="javascript:dialogMgr.popup('${contextPath_}/${site_.name}/createSearchForm.do?tableName=${entityinfo_.entity.name}',500,400);" 
      		value="<bean:message key="button.add" />"/>
</h2>
<ul>	
	<c:forEach var="itm" items="${entityinfo_.searchFormList}">
	<li>${itm.name}<br />
		&nbsp;(<c:set var="popupPath" value="${contextPath_}/${site_.name}/editSearchForm.do?tableName=${entityinfo_.entity.name}&amp;filter=${my:urlEncode(itm.name)}"/>
<%-- 		  <a href='javascript:dialogMgr.popup("${my:urlEncode(popupPath)}",500,600);' >
			<bean:message key="button.edit" />

		</a>, --%>
		<tag:deleteDialog page="/deleteSearchForm.do?tableName=${entityinfo_.entity.name}&amp;deleteFilter=${my:urlEncode(itm.name)}" >
			<bean:message key="button.delete" />
		</tag:deleteDialog>)
	</li>
	</c:forEach>
</ul>

<h2><bean:message key="title.customForm" bundle="site" />
	<input type="button" 
    		onclick="javascript:dialogMgr.popup('${contextPath_}/${site_.name}/createCustomForm.do?tableName=${entityinfo_.entity.name}',500,600);" 
      		value="<bean:message key="button.add" />"/>
</h2>
<ul>	
	<c:forEach var="itm" items="${entityinfo_.customFormList}">
	<li>${itm.name}<br />
		&nbsp;(<c:set var="popupPath" value="${contextPath_}/${site_.name}/editCustomForm.do?tableName=${entityinfo_.entity.name}&amp;filter=${my:urlEncode(itm.name)}"/>
		  <a href='javascript:dialogMgr.popup("${my:urlEncode(popupPath)}",500,600);' >
			<bean:message key="button.editAndCopy" />
		</a>, 
		<tag:deleteDialog page="/deleteCustomForm.do?tableName=${entityinfo_.entity.name}&amp;deleteFilter=${my:urlEncode(itm.name)}" >
			<bean:message key="button.delete" />
		</tag:deleteDialog>)
	</li>
	</c:forEach>
</ul>

<h2><bean:message key="title.updateRule" bundle="site" />
	<input type="button" 
    		onclick="javascript:dialogMgr.popup('${contextPath_}/${site_.name}/createUpdateRule.do?tableName=${entityinfo_.entity.name}',500,400);" 
      		value="<bean:message key="button.add" />"/>
    <input type="button" onclick="javascript:popup()"/>
</h2>

<ul>	
	<c:forEach var="itm" items="${entityinfo_.updateRuleList}">
	<li>${itm.name}<br />
		&nbsp;(<c:set var="popupPath" value="${contextPath_}/${site_.name}/editUpdateRule.do?tableName=${entityinfo_.entity.name}&amp;filter=${my:urlEncode(itm.name)}"/>
		  <a href='javascript:dialogMgr.popup("${my:urlEncode(popupPath)}",500,600);' >
			<bean:message key="button.editAndCopy" />
		</a>, <tag:deleteDialog page="/deleteUpdateRule.do?tableName=${entityinfo_.entity.name}&amp;deleteFilter=${my:urlEncode(itm.name)}" >
			<bean:message key="button.delete" />
		</tag:deleteDialog>)
	</li>
	</c:forEach>
</ul>

 

<script type="text/javascript"
		src="${contextPath_}/TGW-RES/javascript/prototype.js"></script>
<script type="text/javascript"
		src="${contextPath_}/TGW-RES/javascript/rico.js"></script>
<script type="text/javascript"
		src="${contextPath_}/TGW-RES/javascript/jsonrpc.js"></script>
<script type="text/javascript"
		src="${contextPath_}/TGW-RES/javascript/ajaxRowSet.js"></script>

<script type="text/javascript">	
var panel = new YAHOO.widget.SimpleDialog("tgw-form-updateruleDiv", { 
							fixedcenter:true,
							modal:true,
							draggable:false });
	
var ajaxRowSet = new AjaxRowSet();

function popup(){
	ajaxRowSet.basePath = '${contextPath_}/JSON-RPC';
	ajaxRowSet.name = 'updateRuleForm';
	ajaxRowSet.rowSetId = 'tgw-form-updateruleDivRowSet';	
	ajaxRowSet.load();
		
	var thisForm = document.getElementById("tgw-form-updaterule");
	panel.setHeader("<bean:message key="title.updateRule.createUpdateRule.withArgs" arg0="${updateRuleForm.entity.displayName}" bundle="site" />");
	panel.cfg.queueProperty("buttons", [
         					 { text:"<bean:message key="button.store" />", handler:function(){
									var thisPanel = this;
									YAHOO.util.Connect.setForm(thisForm); 
									var cObj = YAHOO.util.Connect.asyncRequest('POST', thisForm.action, 
										{
										success: function(o) {
											alert(o.responseText);
		           					 		thisPanel.hide();
											window.location.reload();
										},
									    failure: function(o) {alert(o);},
									    timeout: 5000,
									    argument: [] 
										}
									
									);								
           					 }, isDefault:true },
            			     { text:"Cancel", handler:function(){
            			     		this.hide();
            			     }}
			        	]);
	panel.render();
	panel.show();
}
</script>




<c:if test="${my:tgwproperty(\"option.use.template\")}">
<h2><bean:message key="title.template" bundle="site" /></h2>
<ul>	
	<li><html:link page="/createDesignTemplate.do?tableName=${entityinfo_.entity.name}&amp;type=table"><bean:message key="title.template.createDesignTemplate.table" bundle="site" /></html:link><br/>
		<ul>
			<c:forEach var="itm" items="${entityinfo_.tableTemplates}">
				<li>${itm}<br />
					&nbsp;(<html:link page="/editDesignTemplate.do?tableName=${entityinfo_.entity.name}&amp;type=table&amp;_template_=${itm}">
			<bean:message key="button.edit" />

					</html:link>)
				</li>
			</c:forEach>
		</ul>	
	</li>
	
	<li><html:link page="/createDesignTemplate.do?tableName=${entityinfo_.entity.name}&amp;type=form"><bean:message key="title.template.createDesignTemplate.form" bundle="site" /></html:link>
		<ul>
			<c:forEach var="itm" items="${entityinfo_.formTemplates}">
				<li>${itm}<br />
					&nbsp;(<html:link page="/editDesignTemplate.do?tableName=${entityinfo_.entity.name}&amp;type=form&amp;_template_=${itm}">
			<bean:message key="button.edit" />

					</html:link>)
				</li>
			</c:forEach>
		</ul>
	</li>

	<li><html:link page="/createDesignTemplate.do?tableName=${entityinfo_.entity.name}&amp;type=data"><bean:message key="title.template.createDesignTemplate.data" bundle="site" /></html:link>
		<ul>
			<c:forEach var="itm" items="${entityinfo_.dataTemplates}">
				<li>${itm}
					(<html:link page="/editDesignTemplate.do?tableName=${entityinfo_.entity.name}&amp;type=data&amp;_template_=${itm}">
			<bean:message key="button.edit" />

					</html:link>)
				</li>
			</c:forEach>
		</ul>
	</li>
</ul>
</c:if>

</c:if>

<div id="poweredby">
<img src="${contextPath_}/TGW-RES/img/poweredby.gif" alt="Powered By Tuigwaa"/>
<c:set var="verkey">system.version</c:set>ver${my:tgwproperty(verkey)}
</div>