<div id="trail">
  <html:link page="/top.do"><bean:message key="title.top" bundle="tgw-manager" /></html:link>
  &raquo;&nbsp;<bean:message key="title.site" bundle="tgw-manager" />
  &raquo;&nbsp;<bean:message key="title.site.listSite" bundle="tgw-manager" />
</div>

<html:messages id="msg" message="true">
	<div class="info">${msg}</div>
</html:messages>

<html:messages id="msg" message="false">
	<div class="info">${msg}</div>
</html:messages>

<h2><bean:message key="title.site.listSite" bundle="tgw-manager" /></h2>
<table>
  <thead>
	<tr>
		<th><bean:message key="label.site.name" bundle="tgw-manager" /></th>
		<th><bean:message key="label.site.title" bundle="tgw-manager" /></th>
		<th><bean:message key="label.site.description" bundle="tgw-manager" /></th>
		<th><bean:message key="label.operate" bundle="tgw-manager" /></th>
	</tr>
  </thead>
  <tbody>
	<c:forEach var="siteConfig" items="${siteConfigs_}">
	<tr>
		<td>${siteConfig.name}</td>
		<td>${siteConfig.title}</td>
		<td>${siteConfig.description}</td>
		<td>
			<a href="${contextPath_}/${siteConfig.name}/" class="action"><bean:message key="button.browse" /></a>
			<html:link page="/editSite.do?_siteName_=${siteConfig.name}" styleClass="action"><bean:message key="button.edit" /></html:link>
        	<html:link page="/listBackup.do?_siteName_=${siteConfig.name}" styleClass="action"><bean:message key="title.site.listBackup" bundle="tgw-manager" /></html:link>
			<html:link page="/downloadSite.do?_siteName_=${siteConfig.name}" styleClass="action"><bean:message key="title.site.downloadSite" bundle="tgw-manager" /></html:link>
			<c:if test="${siteConfig.userStoreDatabase}">
			  <html:link page="/createAdminUser.do?_siteName_=${siteConfig.name}" styleClass="action"><bean:message key="title.site.createAdminUser" bundle="tgw-manager" /></html:link>
			</c:if>		
			<tag:deleteDialog page="/deleteSite.do?_siteName_=${siteConfig.name}"><bean:message key="button.delete" /></tag:deleteDialog>			
		</td>
	</tr>
	</c:forEach>
  </tbody>
</table>

<h2><bean:message key="title.site.copySite" bundle="tgw-manager" /></h2>
<html:javascript formName="copyForm"/>
<html:form action="copySite" onsubmit="return validateCopyForm(this);">
<fieldset>
<legend><bean:message key="label.site.copySite.copy" bundle="tgw-manager" /></legend>
<div>
	<span class="formTitle"><bean:message key="label.site.srcSiteName" bundle="tgw-manager" /></span>
	<html:select property="srcSiteName">
	<c:forEach var="siteConfig" items="${siteConfigs_}">
	<html:option value="${siteConfig.name}">${siteConfig.name} [${siteConfig.title}]</html:option>
	</c:forEach>
	</html:select>
</div>
<div>
	<span class="formTitle"><bean:message key="label.site.destSiteName" bundle="tgw-manager" /></span>
	<html:text property="destSiteName"></html:text>	
</div>
<html:submit><bean:message key="button.copy"/></html:submit>
</fieldset>
</html:form>

<h2><bean:message key="title.site.uploadSite" bundle="tgw-manager" /></h2>
<h3><bean:message key="title.site.uploadSiteFromFile" bundle="tgw-manager" /></h3>	
<html:javascript formName="uploadForm"/>
<html:javascript formName="uploadFormFromWeb"/>
<html:form action="/uploadSite" enctype="multipart/form-data" onsubmit="return validateUploadForm(this);">
	<fieldset>
	<legend><bean:message key="label.site.uploadSite.upload" bundle="tgw-manager" /></legend>
	<div>
  		<span class="formTitle"><bean:message key="label.site.file" bundle="tgw-manager" /></span>
	  	<html:file property="file"></html:file>	
	</div>
	<div>
		<span class="formTitle"><bean:message key="label.site.siteAlias" bundle="tgw-manager"/></span>
		<html:text property="name"></html:text>	
	</div>
	<div>
		<bean:message key="msg.site.uploadSite.maximumSize" bundle="tgw-manager" /><br/>
		<bean:message key="msg.site.uploadSite.aboutAlias" bundle="tgw-manager" />
	</div>
	<html:submit><bean:message key="button.upload" /></html:submit>
	</fieldset>
</html:form>

<h3><bean:message key="title.site.uploadSiteFromWeb" bundle="tgw-manager" /></h3>
<html:form action="/uploadSiteFromWeb" onsubmit="return validateUploadFormFromWeb(this);">
	<fieldset>
	<legend><bean:message key="label.site.uploadSiteFromWeb.url" bundle="tgw-manager" /></legend>
	<div>
  		<span class="formTitle"><bean:message key="label.site.url" bundle="tgw-manager" /></span>
	  	<html:text property="url" size="100"/>
	</div>
	<html:submit><bean:message key="button.get" /></html:submit>
	</fieldset>
</html:form>

<h2><bean:message key="title.site.saveDefaultSite" bundle="tgw-manager" /></h2>

<html:form action="/saveDefaultSite.do">
<fieldset>
<legend><bean:message key="label.site.saveDefaultSite.defaultSite" bundle="tgw-manager" /></legend>

<select name="_siteName_">
	<option value="tgw-manager">Tuigwaa Manager</option>
<c:forEach var="siteConfig" items="${siteConfigs_}">
	<c:set var="selected"></c:set>
	<c:if test="${TGW_DEFAULT_SITE_NAME == siteConfig.name}">	
		<c:set var="selected">selected="selected"</c:set>
	</c:if>
	<option value="${siteConfig.name}" ${selected}>${siteConfig.title}</option>
</c:forEach>
</select>
<html:submit><bean:message key="button.set" /></html:submit>
</fieldset>
</html:form>
