<%@ attribute name="label" required="false" %>
<%@ attribute name="labelKey" required="false" %>
<%@ attribute name="labelBundle" required="false" %>
<%@ attribute name="test" required="true" %>

<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<%@ taglib uri="http://struts.apache.org/tags-bean" prefix="bean"%>

<c:if test="${test}">

<li class="yuimenubaritem first-of-type">

<c:choose>
    <c:when test="${ empty label }">
       <bean:message key="${labelKey}" bundle="${labelBundle}"/>
    </c:when>
    <c:otherwise>
	  ${label}
    </c:otherwise> 
</c:choose>
<div class="yuimenu">
	<div class="bd">
	<ul>
		<jsp:doBody/>
	</ul>
	</div>
	</div>
</li>

</c:if>